---
title: Reinstall Instance
url: https://docs.vultr.com/products/compute/instances/bare-metal/management/reinstall-instance
description: Learn how to reinstall the operating system on your Vultr Bare Metal instance while preserving your IP address and hostname.
publish_date: 2024-09-23T20:20:25.763367Z
last_updated: 2026-05-26T18:50:26.288696Z
---

# How to Reinstall a Vultr Bare Metal Instance

Reinstalling a Vultr Bare Metal instance wipes the server file system, resets all configurations and reinstalls the operating system. Any data available on the instance's file system is permanently deleted and cannot be recovered unless backed up.

Follow this guide to reinstall a Vultr Bare Metal instance using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and click **Compute**.
    1. Click your target Bare Metal instance to open its management page.
    1. Click **Server Reinstall** on the top-right navigation menu to reinstall the server's file system.
    1. Check the confirmation prompt and click **Reinstall Server** to apply changes.

=== "Vultr API"

    1. Send a `GET` request to the [**List Bare Metal Instances** endpoint](https://www.vultr.com/api/#tag/baremetal/operation/list-baremetals) and note the target instance's ID.
        
        ```console
        $ curl "https://api.vultr.com/v2/bare-metals" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `POST` request to the [**Reinstall Bare Metal** endpoint](https://www.vultr.com/api/#tag/baremetal/operation/reinstall-baremetal) to reinstall the instance with a new hostname.

        ```console
        $ curl "https://api.vultr.com/v2/bare-metals/{baremetal-id}/reinstall" \
          -X POST \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
          --data '{
            "hostname" : "<new-baremetal-hostname>"
          }'
        ```

=== "Vultr CLI"

    1. List all Bare Metal instances available in your Vultr account and note the target instance's ID.

        ```console
        $ vultr-cli bare-metal list
        ```

    1. Reinstall the instance with a new hostname.

        ```console
        $ vultr-cli bare-metal reinstall --host <new_instance_hostname> <instance_id>
        ```

=== "Terraform"

    1. Open your Terraform configuration for the existing Bare Metal instance.

    1. Trigger a reinstall by replacing the instance during apply.

        ```console
        $ terraform apply -replace=vultr_bare_metal_server.bm1
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 1 added, 0 changed, 1 destroyed.
        ```
